# CertBoat

[ToeCracker](https://tildegit.org/lucidiot/ToeCracker) said that "update" sounded like "u-boat", and I remembered that [certbot](https://certbot.eff.org/) is a thing, so here comes CertBoat.

CertBoat connects to the modern Windows Update endpoints to retrieve Certificate Trust Lists for both root certification authorities and revoked certificates and update the local certificate stores. It allows Windows 2000 and XP systems to still receive certificate updates, and thus avoid yet another source of obsolescence.

## Installation

1. Make sure you have .NET Framework version 2.0 or later installed.
2. Download the latest `.msi` installer from [the releases page](https://tildegit.org/lucidiot/CertBoat/releases/).
3. Run the installer and follow its instructions.

## Usage

If you have enabled the relevant option in the installer, then CertBoat has been installed as a scheduled task, and you no longer have to care about it. If you still want to manually update, you can do so by running `CertBoat.exe` at the nearest command prompt.